"""elo

Revision ID: fe62fa2fd815
Revises: 
Create Date: 2020-05-14 13:59:06.663656

"""
from alembic import op
import sqlalchemy as sa
import sqlalchemy_utils


# revision identifiers, used by Alembic.
revision = 'fe62fa2fd815'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('external_id', sa.String(), nullable=True),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('event_type', sa.Enum('FOO', 'BAZ', name='eventenum'), nullable=True),
    sa.Column('start_org_id', sa.String(), nullable=True),
    sa.Column('end_org_id', sa.String(), nullable=True),
    sa.Column('start_individual_id', sa.String(), nullable=True),
    sa.Column('end_individual_id', sa.String(), nullable=True),
    sa.Column('start_topic_id', sa.String(), nullable=True),
    sa.Column('end_topic_id', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('external_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('event')
    # ### end Alembic commands ###
